Get invoice
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "in_1QxY2zAbCdEfGh",
"number": "DD-2026-0042",
"status": "paid",
"description": "Residential traffic",
"currency": "usd",
"total_cents": 5000,
"amount_paid_cents": 5000,
"amount_due_cents": 0,
"created_at": "2026-11-01T10:00:00Z",
"paid_at": "2026-11-01T10:00:05Z",
"hosted_invoice_url": "https://invoice.stripe.com/i/acct_example/live_example",
"pdf_available": true
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Invoices
Get invoice
Return one invoice.
GET
https://app.proxy.doubledata.com/api/v1
/
invoices
/
{invoiceId}
Get invoice
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "in_1QxY2zAbCdEfGh",
"number": "DD-2026-0042",
"status": "paid",
"description": "Residential traffic",
"currency": "usd",
"total_cents": 5000,
"amount_paid_cents": 5000,
"amount_due_cents": 0,
"created_at": "2026-11-01T10:00:00Z",
"paid_at": "2026-11-01T10:00:05Z",
"hosted_invoice_url": "https://invoice.stripe.com/i/acct_example/live_example",
"pdf_available": true
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Authorizations
Your organization's active API key.
Path Parameters
The invoice ID from the invoice list.
Pattern:
^in_[A-Za-z0-9]+$Response
Invoice
Available options:
open, paid, void, uncollectible Example:
"usd"
Page where the invoice can be viewed and paid.
Whether GET /invoices/{invoiceId}/pdf can return a PDF.